/**
 * ${jpp:disclaimer}
 *
 * ${jpp:copyright}
**/
package com.inet.cowork.gptbot;

import com.inet.classloader.I18nMessages;
import com.inet.config.structure.provider.ConfigStructureProvider;
import com.inet.cowork.api.commands.CoWorkCommandHandler;
import com.inet.cowork.api.commands.CoWorkCommandProvider;
import com.inet.cowork.gptbot.structure.CoWorkGPTBotStructureProvider;
import com.inet.plugin.PluginInfo;
import com.inet.plugin.ServerPlugin;
import com.inet.plugin.ServerPluginManager;

/**
 * Server plugin to register the extension
 */
@PluginInfo( //
id = "cowork.gptbot", //
group = "samples", //
dependencies = "cowork", //
///? if weWantTheVersion != 1 then version = "${jpp:version}", //
icon = "com/inet/cowork/gptbot/cowork_openai_48.png" //
)
public class CoWorkGPTBotServerPlugin implements ServerPlugin {
    public static final I18nMessages MSG = new I18nMessages( "com.inet.cowork.gptbot.structure.i18n.ConfigStructure",CoWorkGPTBotServerPlugin.class );

    /**
     * {@inheritDoc}
     */
    @Override
    public void registerExtension( ServerPluginManager spm ) {
        CoWorkGPTBotCommand command = new CoWorkGPTBotCommand();
        spm.register( CoWorkCommandHandler.class, command);
        spm.register( CoWorkCommandProvider.class, command);

        spm.register( ConfigStructureProvider.class, new CoWorkGPTBotStructureProvider() );
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void init( ServerPluginManager spm ) {
        // nothing
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void reset() {
        // nothing
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void restart() {
        // nothing
    }
}
